---
title: "connection type based user, site, group details - download csv"
slug: "connection-type-based-user-site-group-details-download-csv"
updated: 2025-07-21T18:55:46Z
published: 2025-07-21T18:55:54Z
canonical: "docs.neeve.ai/connection-type-based-user-site-group-details-download-csv"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# connection type based user, site, group details - download csv
Get/api/v1/connections/{connection_type}/download
SecurityHTTPType bearer
Path parametersconnection_typestringRequired
connection_type
Query parametersloginNamestring
To filter user name
groupNamestring
To filter group name
siteNamestring
To filter site name
timezonestringExampleAsia/Kolkata
sortarray of string
Sorting criteria in the format: field:asc|desc, field defaults to whenCreated and direction defaults to DESC. Example fields are: ['mail', 'loginName', 'siteName', 'groupName', 'whenCreated', 'whenChanged', 'lastActive']
DefaultwhenCreated:DESCExample[
"whenCreated:desc"
]
fromDatestring
The earliest date to search in user created time. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)
Example2021-05-06T10:50:35+0000
toDatestring
The latest date to search in user created time. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)
Example2021-05-06T10:50:35+0000
Responses200
Download a connection_type based csv
string
401
Unauthorized
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
404
Not Found
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
422
Unprocessable Entity
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean